import { z } from "zod"

import { attributesSchema } from "@/server/routers/hotels/schemas/hotel"

export const nearbyHotelsSchema = z.object({
  attributes: z.lazy(() =>
    attributesSchema.pick({
      address: true,
      cityId: true,
      cityName: true,
      detailedFacilities: true,
      hotelContent: true,
      isActive: true,
      isPublished: true,
      location: true,
      name: true,
      operaId: true,
      ratings: true,
    })
  ),
  id: z.string(),
  type: z.literal("hotels"),
})
